package body MSHTML.IHTMLAttributeCollection_Object is

   function Get_length
     (This : IHTMLAttributeCollection_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLAttributeCollection_Get_length);
   end Get_length;

   function Getu_newEnum
     (This : IHTMLAttributeCollection_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLAttributeCollection_Getu_newEnum);
   end Getu_newEnum;

   function item
     (This : IHTMLAttributeCollection_Type;
      name : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLAttributeCollection_item,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => name),
         Free);
   end item;

end MSHTML.IHTMLAttributeCollection_Object;

